[
  { /* system layout specs */

    blockid=test;

    localvar=
    {
      .label.size=200;
      .units.size=90;

      .menu.storage="\u5b58\u50a8\u6743\u9650...";
      .menu.paths="\u8def\u5f84...";

      .conn.title=[titled, "\u8fde\u63a5\u8bbe\u7f6e"];
      .conn.enabled="\u9ed8\u8ba4\u60c5\u51b5\u4e0b\u542f\u7528 NNTP \u670d\u52a1";
      .conn.maxreaders="\u6700\u5927\u7528\u6237\u8fde\u63a5\u6570 :";
      .conn.maxfeeds="\u6700\u5927\u590d\u5236\u8fde\u63a5\u6570 :";
      .conn.timeout="\u8fde\u63a5\u8d85\u65f6 :";
      .conn.timeout.items=
      [
        sec,
        min,
        hour
      ];

      .label.size=200;
      .enc.encryption.label="\u52a0\u5bc6 :";
      .enc.enable.items=
      [
        false,
        true
      ];
      .enc.enable.labels=
      [
        Disabled,
        Enabled
      ];
      .enc.port.label="NNTP \u670d\u52a1\u5668\u7aef\u53e3:";
      .enc.def.auth.label="\u9ed8\u8ba4\u8ba4\u8bc1\u65b9\u6cd5 :";
      .enc.auth.method.items=
      [
        basic,
        certs
      ];
      .enc.auth.method.labels=
      [
        "\u57fa\u672c",
        "\u8bc1\u4e66"
      ];
    },

    content=
    [ /* system layout contents */

      { /* service enabled */
        ctrl=togglepane;
        text=$.conn.enabled;
        val=$service.nntp.service.enabled.value;
      }, /* service enabled */

      { /* comp. space */
        ctrl=vstrut;
        size=$.g.comp.space;
      }, /* comp. space */

      { /* start of connection settings group */
        ctrl=pane;
        border=$.conn.title;
        layout=[ybox];
        content=
        [ /* start of conn. settings contents */

          { /* Start of max readers */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* contents of max readers */

              { /* max readers label */
                ctrl=label;
                wrap=$.label.size;
                alignh=right;
                aligny=0.5;
                text=$.conn.maxreaders;
                id=connmaxreaders;
                label=maxreaders;
              }, /* max readers label */

              { /* comp. space */
                ctrl=rigid;
              }, /* comp. space */

              { /* max readers textfield */
                ctrl=number;
                aligny=0.5;
                label=maxreaders;
                val=$service.nntp.network.maxreaders.value;
              }, /* max readers textfield */
	      {
		ctrl=hglue;
	      }

            ] /* max readers contents */
          }, /* End of max readers */

          { /* vertical spacing between components */
            ctrl=vstrut;
            size=$.g.comp.space;
          },
  
          { /* Start of max feeds */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* contents of max feeds */
              { /* max feeds label */
                ctrl=label;
                wrap=$.label.size;
                alignh=right;
                aligny=0.5;
                text=$.conn.maxfeeds;
                id=connmaxfeeds;
                label=maxfeeds;
              }, /* max feeds label */

              { /* comp. space */
                ctrl=rigid;
              }, /* comp. space */

              { /* max feeds textfield */
                ctrl=number;
                aligny=0.5;
                label=maxfeeds;
                val=$.service.nntp.network.maxfeeds;
              } /* max feeds textfield */

            ] /* max feeds contents */
          }, /* End of max feeds */

          { /* vertical spacing between components */
            ctrl=vstrut;
            size=$.g.comp.space;
          },

          { /* Start of timeout */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* contents of timeout */
              { /* timeout label */
                ctrl=label;
                wrap=$.label.size;
                alignh=right;
                aligny=0.5;
                text=$.conn.timeout;
                id=conntimeout;
                label=timeout;
              }, /* timeout label */

              { /* comp. space */
                ctrl=rigid;
              }, /* comp. space */

              { /* timeout textfield */
                ctrl=number;
                label=timeout;
                alignh=left;
                items=$.conn.timeout.items;
                labels=$g.timeunit.labels;
                val=$.service.nntp.network.timeout;
                unit=sec;
                aligny=0.5;
              }, /* timeout textfield */
	      {
		ctrl=hglue;
	      }

            ] /* timeout contents */
          } /* End of timeout */

        ] /* end of conn. settings contents */
      }, /* end of connection settings group */

      { /* comp. space */
        ctrl=vstrut;
        size=$.g.comp.space;
      } /* comp. space */


    ] /* system layout contents */
  } /* system layout specs */

]



